## visad.cluster
Interface RemoteClusterData

All Superinterfaces:
  Data, Remote, RemoteData, RemoteThing, Thing

All Known Subinterfaces:
  RemoteClientData, RemoteClientField, RemoteClientPartitionedField, RemoteClientTuple, RemoteNodeData, RemoteNodeField, RemoteNodePartitionedField, RemoteNodeTuple

All Known Implementing Classes:
  RemoteClientDataImpl, RemoteClientFieldImpl, RemoteClientPartitionedFieldImpl, RemoteClientTupleImpl, RemoteClusterDataImpl, RemoteNodeDataImpl, RemoteNodeFieldImpl, RemoteNodePartitionedFieldImpl, RemoteNodeTupleImpl

public interface RemoteClusterData
extends RemoteData

RemoteClusterData is the interface for cluster client and node Data.

Field Summary

Fields inherited from interface visad.Data

`ABS, ACOS, ACOS_DEGREES, ADD, ASIN, ASIN_DEGREES, ATAN, ATAN_DEGREES, ATAN2, ATAN2_DEGREES, CEIL, COS, COS_DEGREES, DEGREES_TO_RADIANS, DEPENDENT, DIVIDE, EXP, FLOOR, INDEPENDENT, INV_ATAN2, INV_ATAN2_DEGREES, INV_DIVIDE, INV_POW, INV_REMAINDER, INV_SUBTRACT, LOG, MAX, MIN, MULTIPLY, NEAREST_NEIGHBOR, NEGATE, NO_ERRORS, NOP, POW, RADIANS_TO_DEGREES, REMAINDER, RINT, ROUND, SIN, SIN_DEGREES, SQRT, SUBTRACT, TAN, TAN_DEGREES, WEIGHTED_AVERAGE`

Method Summary
`boolean` `clusterDataEquals(RemoteClusterData cd)`
`RemoteClusterData` `getClusterData(RealTuple domain)`
`void` `setupClusterData(Set ps, RemoteClusterData[] table)`

Methods inherited from interface visad.Data

`abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, adjustSamplingError, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, computeRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, isMissing, local, log, log, longString, longString, max, max, min, min, multiply, multiply, negate, negate, pow, pow, remainder, remainder, rint, rint, round, round, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, unary, unary`

Methods inherited from interface visad.Thing
`addReference, removeReference`

Methods inherited from interface visad.RemoteThing
`getTick, incTick`

Method Detail

### getClusterData

    public RemoteClusterData getClusterData(RealTuple domain)
                                     throws RemoteException,
                                            VisADException

  Throws:
    `RemoteException`
    `VisADException`

### setupClusterData

    public void setupClusterData(Set ps,
                                 RemoteClusterData[] table)
                          throws RemoteException,
                                 VisADException

  Throws:
    `RemoteException`
    `VisADException`

### clusterDataEquals

    public boolean clusterDataEquals(RemoteClusterData cd)
                              throws RemoteException,
                                     VisADException

  Throws:
    `RemoteException`
    `VisADException`